> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat.voicebot.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# List users attached to a customer

> List users attached to a customer. Used to show / hide customers for certain users. Users with role admin can always see and interact with all customers. User without that role must be explicitly added via this endpoint to be able so see and interact with the customer and conversation. The get route will not show admin users.



## OpenAPI

````yaml api-reference/openapi.json get /customers/{id}/users
openapi: 3.0.3
info:
  version: 0.1.0
  title: Client API
servers:
  - url: https://1-some-client.some-server.healvi-chat/third-party/v1
security:
  - bearerAuth: []
paths:
  /customers/{id}/users:
    get:
      tags:
        - customers
      summary: >
        List users attached to a customer. Used to show / hide customers for
        certain users.

        Users with role admin can always see and interact with all customers.

        User without that role must be explicitly added via this endpoint to be
        able so see

        and interact with the customer and conversation.

        The get route will not show admin users.
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/User'
components:
  schemas:
    User:
      description: |
        User from business which operates this app.
      type: object
      properties:
        id:
          type: integer
          description: Internal ID.
        name:
          type: string
        email:
          type: integer
          nullable: true
        roles:
          description: List of roles. "admin" has all permissions implicitly.
          type: array
          items:
            type: string
        permissions:
          description: List of permissions.
          type: array
          items:
            type: string
        created_at:
          type: string
          format: date-time
          nullable: true
          example: '2023-01-01T12:00:00Z'
        updated_at:
          type: string
          format: date-time
          nullable: true
          example: '2023-01-01T12:00:00Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````